<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__systick__data__structures" kind="group">
    <compoundname>group_systick_data_structures</compoundname>
    <title>Data Structures</title>
      <sectiondef kind="enum">
      <memberdef id="group__group__systick__data__structures_1ga466b1e8fe4278011eab77a691ce2b8f9" kind="enum" prot="public" static="no">
        <name>cy_en_systick_clock_source_t</name>
        <enumvalue id="group__group__systick__data__structures_1gga466b1e8fe4278011eab77a691ce2b8f9a94439d79fca0d9bdc174ed809e7b973e" prot="public">
          <name>CY_SYSTICK_CLOCK_SOURCE_CLK_LF</name>
          <initializer>= 0u</initializer>
          <briefdescription>
<para>The low frequency clock clk_lf is selected. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__systick__data__structures_1gga466b1e8fe4278011eab77a691ce2b8f9ae697d27be1c3ca8d48c2982f20a2bca6" prot="public">
          <name>CY_SYSTICK_CLOCK_SOURCE_CLK_IMO</name>
          <initializer>= 1u</initializer>
          <briefdescription>
<para>The internal main oscillator (IMO) clock clk_imo is selected. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__systick__data__structures_1gga466b1e8fe4278011eab77a691ce2b8f9ab8c0bdaec95e5303ef48edd68f5a02ab" prot="public">
          <name>CY_SYSTICK_CLOCK_SOURCE_CLK_ECO</name>
          <initializer>= 2u</initializer>
          <briefdescription>
<para>The external crystal oscillator (ECO) clock clk_eco is selected. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__systick__data__structures_1gga466b1e8fe4278011eab77a691ce2b8f9a2c912263330c0b6aff62d044dacecee6" prot="public">
          <name>CY_SYSTICK_CLOCK_SOURCE_CLK_TIMER</name>
          <initializer>= 3u</initializer>
          <briefdescription>
<para>The SRSS clk_timer is selected. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__systick__data__structures_1gga466b1e8fe4278011eab77a691ce2b8f9a20578ebfbc241a91a797b3cb9f127a14" prot="public">
          <name>CY_SYSTICK_CLOCK_SOURCE_CLK_CPU</name>
          <initializer>= 4u</initializer>
          <briefdescription>
<para>The CPU clock is selected. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_systick_clock_source_t: </bold><linebreak />SysTick clocks sources.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="155" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_systick.h" bodystart="148" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_systick.h" line="149" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>